#
# spec file for package python-pkgconfig
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pkgconfig
Version:        1.1.0
Release:        6.1
License:        MIT
Summary:        Interface Python with pkg-config
Url:            http://github.com/matze/pkgconfig
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements (wrongly marked as install req):
BuildRequires:  python-nose
Requires:       pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Python module to interface with the pkg-config
command line tool and supports Python 2.6+.

%prep
%setup -q -n pkgconfig-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 1.1.0
  + No changelog available
* Wed Oct 16 2013 speilicke@suse.com
- Initial version
